Skip to content
Navigation

Reads one webhook endpoint, never its secret.

GET
https://api.sherpo.io/merchant/v1/stores/{store}/webhooks/{webhook}

Authorization

  • bearer
    HTTP
    required

Path parameters

  • store
    string
    required

    The store's id.

  • webhook
    string
    required
    minLength: 1

Returns

200

Reads one webhook endpoint, never its secret.

JSON
  • id
    string
    required
  • url
    string
    required
  • description
    required

    One of the following:

    • string
    • null
  • events
    array of
    string
    required
  • enabled
    boolean
    required
  • connection_ended_at
    required

    When it was turned off because the connection that set it up ended.

    One of the following:

    • string
    • null
  • created_at
    string
    required
  • updated_at
    string
    required
JSON
  • type
    string
    required
    format: uri
  • title
    string
    required
  • status
    integer
    required
  • detail
    string
    required
  • code
    optional
    string
  • context
    optional
    object
  • reached_core
    optional
    boolean
  • core_answer
    optional
    string

Type to search…

↑↓ navigate↵ selectEsc close